{
    attributes = (
        {
            columnName = LANG_CODE; 
            externalType = VARCHAR2; 
            name = langCode; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = LANG_LIBELLE; 
            externalType = VARCHAR2; 
            name = langLibelle; 
            valueClassName = NSString; 
            width = 35; 
        }, 
        {
            columnName = LANG_VALIDITE; 
            externalType = VARCHAR2; 
            name = langValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (langCode); 
    className = EOGenericRecord; 
    classProperties = (langCode, langLibelle, langValidite); 
    externalName = GARNUCHE.LANGUE; 
    fetchSpecificationDictionary = {}; 
    name = GarnucheLangue; 
    primaryKeyAttributes = (langCode); 
}
